CVE-2016-5636

Impact:
Low
Public Date:
2016-01-21
IAVA:
2017-A-0081
Bugzilla:
1345856: CVE-2016-5636 python: Heap overflow in zipimporter module
A vulnerability was discovered in Python, in the built-in zipimporter. A specially crafted zip file placed in a module path such that it would be loaded by a later "import" statement could cause a heap overflow, leading to arbitrary code execution.

Find out more about CVE-2016-5636 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

CVSS v2 metrics

Base Score 4.4
Base Metrics AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial

CVSS v3 metrics

CVSS3 Base Score 4.5
CVSS3 Base Metrics CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:L/I:L/A:L
Attack Vector Local
Attack Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Low
Integrity Impact Low
Availability Impact Low

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 7 (python) RHSA-2016:2586 2016-11-03

Affected Packages State

Platform Package State
Red Hat Software Collections for Red Hat Enterprise Linux rh-python34-python Will not fix
Red Hat Software Collections for Red Hat Enterprise Linux rh-python35-python Will not fix
Red Hat Software Collections for Red Hat Enterprise Linux python33-python Will not fix
Red Hat Software Collections for Red Hat Enterprise Linux python27-python Will not fix
Red Hat Enterprise Linux 6 python Will not fix
Red Hat Enterprise Linux 6 jython Not affected
Red Hat Enterprise Linux 5 python Will not fix
Last Modified